import request from '@/utils/request'

// 查询拼团列表
export function listBuy(query) {
  return request({
    url: '/product/buy/list',
    method: 'get',
    params: query
  })
}

// 查询拼团详细
export function getBuy(id) {
  return request({
    url: '/product/buy/' + id,
    method: 'get'
  })
}

// 新增拼团
export function addBuy(data) {
  return request({
    url: '/product/buy',
    method: 'post',
    data: data
  })
}

// 修改拼团
export function updateBuy(data) {
  return request({
    url: '/product/buy/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除拼团
export function delBuy(id) {
  return request({
    url: '/product/buy/' + id,
    method: 'delete'
  })
}
